python3-pylxd broken and taken from wrong source

Bug #2065537 reported by Hadmut Danisch
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-pylxd (Ubuntu)
New
Undecided
Unassigned

Bug Description

Hi,

the python3-pylxd takes the wrong pylxd source.

It takes sources from

https://salsa.debian.org/openstack-team/python/python-pylxd.git

which is age old, terribly outdated, and lacks several functionalities, e.g. for projects.

The current version is to be found at

https://github.com/canonical/pylxd

which is also the version you get when installing pylxd with pip3.

Doesn't make sense to provide an age old and function lacking version as a package and thus forcing the user to install a recent versino with pip instead.

(which, btw., cost me some debugging time because I wondered, why an older python script, that once worked perfectly didn't work under 24.04 anymore. Reason is, that it does work with the pip3 installed version only, because it makes use of projects, which are not supported by the older version.)

ProblemType: Bug
DistroRelease: Ubuntu 24.04
Package: python3-pylxd 2.2.10-3
ProcVersionSignature: Ubuntu 6.8.0-31.31-generic 6.8.1
Uname: Linux 6.8.0-31-generic x86_64
NonfreeKernelModules: zfs
ApportVersion: 2.28.1-0ubuntu3
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: LXQt
Date: Sun May 12 21:06:59 2024
InstallationDate: Installed on 2023-11-23 (171 days ago)
InstallationMedia: Lubuntu 23.10 "Mantic Minotaur" - Release amd64 (20231010)
PackageArchitecture: all
SourcePackage: python-pylxd
UpgradeStatus: Upgraded to noble on 2024-05-12 (0 days ago)

Revision history for this message
Hadmut Danisch (hadmut) wrote :
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.